Subject: [PATCH 1/2] ARM: S3C64XX: Add suspend support

From: [email-masked] (Ben Dooks)
Date: Wed, 06 Oct 2010 23:22:48 +0100

On 06/10/10 00:23, Kyungmin Park wrote:
> Hi,
> 
> I agree your approach, put the common features in common place.
> but Samsung maintainers insist put these at each machine file at current time.

This is just an init call, the actuall implementation is common to the
core. We did it this was as it was not clear if _all_ machines under
the architecture could do this by default, or would need extra code in
their mach implementation, or in a driver elsewhere.

I would still prefer each machine that can do pm to call s3c_pm_init()
in their setup code to ensure that we don't enable pm on a machine with
possibly incomplete support (especially as PM can be one of the more
difficult things to debug).